/***************
Presentación
****************/
.container-presentation {
    background: linear-gradient(to bottom,
            #097099 0%,
            #097099 40%,
            rgba(9, 112, 153, 0.5) 65%,
            rgba(255, 255, 255, 0.8) 75%,
            #FFFFFF 100%);
}

.container-presentation .containerPresentationText {
    margin-top: calc(130px - 5rem);
}

.container-presentation .containerPresentationText p {
    max-width: 900px;
    margin: auto;
}

.container-presentation .containerPresentationImage {
    position: relative;
    margin-top: 2em;
    width: 100%;
    height: 600px;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.container-presentation .containerPresentationImage .image-presentation {
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
    height: 100%;
    width: 100%;
}

/***************
Tarjetas
****************/
.container-cards {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.container-cards .cards {
    position: relative;
    width: 350px;
    height: 100%;
    background: #ccc;
    margin: 20px;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.container-cards .cards::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    z-index: 10;
}

.container-cards .cards .icon {
    position: relative;
    width: 100%;
    height: 250px;
    background: #333;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container-cards .cards .icon img {
    filter: invert(1);
    max-width: 120px;
    z-index: 9;
}

.container-cards .cards .icon::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background: #ccc;
}

.container-cards .cards .icon::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background: #333;
    border-bottom-left-radius: 80px;
}

.container-cards .cards .content {
    position: relative;
    width: 100%;
    height: 430px;
    background: #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container-cards .cards .content::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background: #333;
}

.container-cards .cards .content::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    background: #ccc;
    border-top-right-radius: 80px;
}

.container-cards .cards .content .text {
    text-align: center;
    padding: 20px 30px;
    z-index: 1;
    height: 100%;
}

.container-cards .cards .content .text h2 {
    font-weight: 500;
    font-size: 2.5em;
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(100deg, #eb9191, #5a5ae1 34%, #e66464 69%, #c8eb87);
    -webkit-background-clip: text;
}

.container-cards .cards .content .text p,
.container-cards .cards .content .text ol {
    font-weight: 400;
    color: #333;
    margin: 10px 0;
    font-size: 1.2em;
}

.container-cards .cards .content .text ol li {
    line-height: 1.5;
    position: relative;
    padding: 0.35rem 0 0.35rem 30px;
    text-align: start;
}

.container-cards .cards .content .text ol li::before {
    content: "✔";
    color: var(--energetic-pink);
    padding: 0.55em;
    width: 15px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.container-cards .cards:nth-child(1) .icon,
.container-cards .cards:nth-child(1) .icon::after,
.container-cards .cards:nth-child(1) .content::before {
    background: var(--bright-blue);
}

.container-cards .cards:nth-child(1) .content,
.container-cards .cards:nth-child(1) .icon::before,
.container-cards .cards:nth-child(1) .content::after {
    background: var(--bright-pastel-blue);
}

.container-cards .cards:nth-child(2) .icon,
.container-cards .cards:nth-child(2) .icon::after,
.container-cards .cards:nth-child(2) .content::before {
    background: var(--deep-ocean-blue);
}

.container-cards .cards:nth-child(2) .content,
.container-cards .cards:nth-child(2) .icon::before,
.container-cards .cards:nth-child(2) .content::after {
    background: #a0dff8;
}

.container-cards .cards:nth-child(3) .icon,
.container-cards .cards:nth-child(3) .icon::after,
.container-cards .cards:nth-child(3) .content::before {
    background: var(--neutral-gray);
}

.container-cards .cards:nth-child(3) .content,
.container-cards .cards:nth-child(3) .icon::before,
.container-cards .cards:nth-child(3) .content::after {
    background: #bdbcbc;
}

/***************
Números
****************/
.container-numbers h3 {
    text-transform: uppercase;
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(100deg, #eb9191, #5a5ae1 34%, #e66464 69%, #c8eb87);
    -webkit-background-clip: text;
}

.containerNumbersCards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    text-align: center;
    padding: min(5vw, 5rem);
}

.cardNumber {
    background: var(--bright-pastel-blue);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.cardNumber:hover {
    transform: translateY(-5px);
}

.number span {
    font-size: 3rem;
    font-weight: bold;
    color: var(--energetic-pink);
}

/* Animación del contador */
@keyframes countUp {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/***************
Diferencia
****************/
.container-difference {
    background: linear-gradient(180deg, #097099 0%, #024d6b 25%, #024d6b 100%);
}

.container-difference .container-row {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5rem;
}

.container-difference .container-image {
    position: sticky;
    top: 100px; 
    align-self: start;
}

.container-difference .container-image img {
    max-width: 100%;
    object-fit: cover;
    height: auto;
    border-radius: var(--border-radius);
    display: block;
}

.container-difference .difference-list {
    list-style: none;
    padding: 0;
    margin-top: 1.5rem;
    color: #fff;
    line-height: 1.6;
}

.container-difference .difference-list li {
    display: flex;
    gap: 20px;
    align-items: center;
    border-bottom: 0.7px dotted rgba(255, 255, 255, 0.8);
    padding: 2rem 0;
}

.container-difference .difference-list li:nth-child(1) {
    border-top: 0.5px solid #fff;
}

.container-difference .difference-list li .number {
    color: #c2a203;
}

.container-difference .description-difference {
    position: relative;
    padding-bottom: 20px;
}

.container-difference .description-difference .text {
    display: block;
    font-size: 1.25em;
    color: #fff;
    margin: 10px 0;
}